OpenVDB 12.1.0

Loading...
Searching...
No Matches
TransferPointAttributesOp< GridType > Class Template Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

## Public Member Functions
| TransferPointAttributesOp (const GU_Detail &sourceGeo, GU_Detail &targetGeo, const GridType &indexGrid, std::vector< AttributeCopyBase::Ptr > &pointAttributes, const GA_PrimitiveGroup *surfacePrims=nullptr)
void | operator() (const GA_SplittableRange &) const

## Constructor & Destructor Documentation

## ◆ TransferPointAttributesOp()

template<class GridType>

TransferPointAttributesOp | ( | const GU_Detail & | sourceGeo,
|  | GU_Detail & | targetGeo,
|  | const GridType & | indexGrid,
|  | std::vector< AttributeCopyBase::Ptr > & | pointAttributes,
|  | const GA_PrimitiveGroup * | surfacePrims = nullptr )

## Member Function Documentation

## ◆ operator()()

template<class GridType>

void operator() | ( | const GA_SplittableRange & | range | ) | const